Bug 399526

Summary: Replace "Sddmtheme" with some user-friendly term
Product: [Applications] Discover Reporter: Patrick Silva <bugseforuns>
Component: KNewStuff BackendAssignee: Aleix Pol <aleixpol>
Status: RESOLVED FIXED    
Severity: normal CC: leinir, nate, sven
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Neon   
OS: Linux   
Latest Commit: Version Fixed In: 5.15.0
Sentry Crash Report:
Attachments: screenshot

Description Patrick Silva 2018-10-08 20:05:42 UTC
Created attachment 115498 [details]
screenshot

STEPS TO REPRODUCE
1. open discover, click "plasma addons" in the side bar
2. 
3. 

OBSERVED RESULT
We can see a section named "sddmtheme" See the screenshot.

EXPECTED RESULT
Some user-friendly term is welcome. Maybe "Login screen themes".

SOFTWARE VERSIONS
Operating System: KDE neon Developer Edition
KDE Plasma Version: 5.14.80
Qt Version: 5.11.1
KDE Frameworks Version: 5.51.0
Kernel Version: 4.18.8-041808-generic
OS Type: 64-bit
Comment 1 Sven Mauch 2018-10-09 08:24:31 UTC
I can confirm that this is the term currently used on master and not specific to Neon.

To maintain consistency with System Settings I would suggest the term "Login Screen Themes (SDDM)" or the shorter "Login Screen Themes".
Comment 2 Aleix Pol 2018-10-09 10:09:07 UTC
Git commit b3928bb58819c4306a23918762be7cd5aa663979 by Aleix Pol.
Committed on 09/10/2018 at 10:06.
Pushed by apol into branch 'master'.

Give SDDM knsrc file a name

Hides the fact that it's SDDM as an implementation detail.

M  +2    -0    sddmtheme.knsrc

https://commits.kde.org/sddm-kcm/b3928bb58819c4306a23918762be7cd5aa663979